# coding: utf-8

""" Полезные утилиты используемые в разных подсистемах """

import os

PRODUCTION = os.uname()[0] != 'Darwin'
DIRS = {
    "main": '/usr/local/Reductor/'
}
if not PRODUCTION:
    DIRS['main'] = './'
DIRS['lists'] = DIRS['main'] + 'lists/'
DIRS['chroot'] = DIRS['main'] + 'reductor_container/'
DIRS['dump'] = DIRS['chroot'] + 'gost-ssl/php/'


def file_to_list(filename):
    """ Возвращает список строк из файла """
    new_list = []
    if os.path.isfile(filename):
        with open(filename, 'r') as url_file:
            return [unicode(s, 'utf-8').strip() for s in url_file.xreadlines()]
    return new_list
