#!/bin/bash

. /usr/local/Reductor/etc/const
. $CONFIG

main() {
	[ "${reductorupdate['autoupdate']}" != '1' ] && exit 0

	if ! check_version; then
		log "Пропускаем, новых версий нет."
		exit 0
	fi

	lag=$((RANDOM % 100))
	log "Запускаем обновление на новую версию через $lag секунд(ы).."
	sleep $lag
	$BINDIR/autoupdate.sh auto
}

main
