#!/bin/bash

. /usr/local/Reductor/etc/const
. $CONFIG

if [ "${filter['workaround']:-0}" = '0' ]; then
	exit 0
fi

remote_repo="${autoupdate['url']}"/workarounds-carbonsoft/
local_repo=/var/lib/reductor/workarounds/

echo "- Обновляем хотфикс-списки"
mkdir -p $local_repo
if [ -d $local_repo/.git ] && grep -q "$remote_repo" $local_repo/.git/config; then
	(
		cd $local_repo
		git pull origin master
	)
else
	rm -rf $local_repo
	git clone "$remote_repo" "$local_repo"
fi

mkdir -p $LISTDIR/carbonsoft/
rm -f $LISTDIR/carbonsoft/workaround.*
find $local_repo -type f -name "workaround.*" -exec cp -av {} $LISTDIR/carbonsoft/ \;
