#!/usr/bin/env bash

. /usr/local/Reductor/etc/const
# shellcheck disable=SC1090
. $CONFIG

set -eu

main() {
	local prefix="$1"
	local input="$LISTDIR/tmp/$prefix.normal"
	local whitelist="$LISTDIR/tmp/${prefix}_whitelist.all"
	local output="${input%.*}.load"
	local join=join
	[ "$(uname)" = 'Linux' ] || join=gjoin
	$BINDIR/sort.sh "$input"
	$BINDIR/sort.sh "$whitelist"
	LC_CTYPE='' LANG='' $join -t '	' -a 1 -v 1 -j 1 "$input" "$whitelist" > "$output"
}

main "$@"
