#!/bin/bash

. /usr/local/Reductor/etc/const
. $CONFIG

main() {
	[ "${reductorupdate['autoupdate_critical']}" != '1' ] && exit 0
	
	remote_version="$(curl $CRITICAL_UPDATE_URL)"

	if [ "$remote_version" -le "$(get_version)" ]; then
		log "Пропускаем, критических исправлений нет."
		exit 0
	fi

	log "Запускаем обновление на новую версию.."
	sleep $((RANDOM % 180))
	$BINDIR/autoupdate.sh auto
}

${1:-main}
