#!/bin/bash

if [ "$#" -ne '1' ]; then
	echo "Usage: $0 <path to backup>"
	echo "Example: $0 /root/reductor_backup.tar.gz"
	exit 3
fi

set -xeu
cd /
mkdir -p "${1%/*}"
tar cfz "$1" /usr/local/Reductor/userinfo/ $(find /usr/local/Reductor/lists/ -name "our*" 2>/dev/null) $(find /var/reg/ -type f -name "CRB-*" 2>/dev/null)
