#!/bin/bash

. /etc/init.d/functions
. /usr/local/Reductor/etc/const


maintainance_required() {
	$BINDIR/firewall.sh --ipsetneedrecreate || $BINDIR/firewall.sh --modulesneedreload || [ "$1" = '--force' ]
}

restart_hard() {
	log "При этом перезапуске необходимо техническое обслуживание."
	$BINDIR/stop.sh
	echo_result
	$BINDIR/start.sh
}

restart_soft() {
	log "Режим технического обслуживания не требуется."
	if ! $BINDIR/start.sh; then
		$BINDIR/stop.sh
		echo_result
		$BINDIR/start.sh
	fi
}

main() {
	log "restart $@ by $(who am i | awk '{print $1" "$5}')"
	log "restart $@ by $(who am i | awk '{print $1" "$5}')" >> $LOGDIR/reductor.log
	! maintainance_required "$@"
	export MAINTAINANCE_REQUIRED=$?

	service rknd stop || true
	if [ "$MAINTAINANCE_REQUIRED" == '1' ]; then
		restart_hard
	else
		restart_soft
	fi
	echo_result return
}

main "$@"
