#!/bin/bash

# usage:
# tags="123 234 345 148" ./setup_network_many_vlan_util.sh -1 p4p0 => br0
# 	br0 + p4p0.123
#	br1 + p4p0.234
#	br2 + p4p0.345
# 	br3 + p4p0.148
# tags="123 234 345 148" ./setup_network_many_vlan_util.sh
#	br2 + eth1.123
#	br3 + eth1.234
#	br4 + eth1.345
#	br5 + eth1.148
# tags="123 234" ./setup_network_many_vlan_util.sh 0 eth2
# 	br1 + eth2.123
#	br2 + eth2.234

. /usr/local/Reductor/bin/setup_network.sh :
br_id="${1:-1}"
eth="${2:-eth1}"

for tag in $tags; do
  bridge_dev=br$((br_id++))
  genconfig conf=/etc/sysconfig/network-scripts/ifcfg-$bridge_dev tmplt=$CONTRIB/tmplts/ifcfg-bridge bridge=$bridge_dev ip=$(get_free_ip)
  genconfig conf=/etc/sysconfig/network-scripts/ifcfg-$eth.$tag   tmplt=$CONTRIB/tmplts/ifcfg-vlan   bridge=$bridge_dev ip=$(get_free_ip) tag=$tag eth=$eth
done
