#!/usr/bin/env bash

set -x

sed -e 's|=/usr/local/Reductor|=./|g; s|LOCKDIR=/var/lock/reductor/|LOCKDIR=./var/lock/reductor/|g' -i etc/const
find bin/ -type f -name "*.sh" -exec sed -e 's|. /usr/local/Reductor/etc/const|. ./etc/const|g' -i {} \;
[ -f .gitignore ] || mv gitignore .gitignore
virtualenv reductor_container/env
set +x
. etc/const
. reductor_container/env/bin/activate
set -x
pip install -r reductor_container/virtualenv/requirements.txt
cp reductor_container/{virtualenv/lib/python2.6,env/lib/python2.7}/site-packages/qdns/__init__.py
pip install ipython
pip install pylint
if [ ! -f $DUMPXML ]; then
	wget http://10.50.140.228/dump.xml -O $DUMPXML
fi
